## libept 0.5.26ubuntu3

=== debian/changelog ===
libept (0.5.26ubuntu3) karmic; urgency=low

  * No change rebuild to fix misbuilt binaries on armel.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 21 Oct 2009 14:46:53 +0200

libept (0.5.26ubuntu2) karmic; urgency=low

  * rebuild against lastest libapt
  * update test count (we have Enhances now, see Debian #539331)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Sep 2009 22:37:26 +0200

libept (0.5.26ubuntu1) karmic; urgency=low

  * ept/debtags/vocabulary.cc: Add a missing const to fix FTBFS.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat, 19 Sep 2009 16:56:34 +0200

=== debian/control ===
Source: libept
Section: libdevel
Priority: optional
XSBC-Original-Maintainer: Enrico Zini <enrico@debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Petr Rockai <mornfall@debian.org>, Arnaud Fontaine <arnaud@andesi.org>
Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, graphviz, libapt-pkg-dev (>= 0.7.23), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake, g++-4.2 [arm]
Standards-Version: 3.8.0
Vcs-Darcs: http://darcs.debian.org/darcs/collab-maint/libept
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=collab-maint/libept;a=summary

Package: libept-dev
Section: libdevel
Architecture: any
Recommends: pkg-config
Depends: libept0 (= ${binary:Version}), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5)
Conflicts: debtags (<< 0.7)
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * The Xapian index built by apt-xapian-index
 .
 This is the development library.

Package: libept0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * The Xapian index built by apt-xapian-index
 .
 This is the shared library.

Package: ept-cache
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}, apt-xapian-index (>= 0.5)
Recommends: debtags
Description: Commandline tool to search the package archive
 ept-cache is a simple commandline interface to the functions of libept.
 .
 It can currently search and display data from four sources:
 .
  * The APT database
  * The Debtags tag information
  * Popcon package scores
  * The Xapian index built by apt-xapian-index

## libept 0.5.30

=== CMakeLists.txt ===
include( FindPkgConfig )
include( FindDoxygen )

add_custom_target( unit )

set( EPT_VERSION "0.5.30" )
set( APT_INCLUDES "/usr/include/" CACHE STRING "apt include path" )
set( APT_LINKDIRS "/usr/lib/" CACHE STRING "apt library path" )
set( OPT_FLAGS "-O0 -g" CACHE STRING "optimization level" )

option( INTERNAL_TAGCOLL "use internal copy of tagcoll" )
option( INTERNAL_WIBBLE "use internal copy of wibble" )
option( RPM "using apt-rpm" )

if( INTERNAL_WIBBLE )
  add_subdirectory( wibble )
  set( WIBBLE_INCLUDE_DIRS ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )
  set( WIBBLE_LIBRARY_DIRS ${wibble_BINARY_DIR} )
  set( WIBBLE_LIBRARIES "wibble" )
  set( WIBBLE_TEST_CMAKE "${wibble_SOURCE_DIR}/test.cmake" )
else( INTERNAL_WIBBLE )
  pkg_check_modules( WIBBLE REQUIRED "libwibble >= 0.1.22" )
  find_program( WIBBLE_TEST_GENRUNNER wibble-test-genrunner )
  set( WIBBLE_TEST_CMAKE "${WIBBLE_PREFIX}/share/wibble/test.cmake" )
endif( INTERNAL_WIBBLE )

if( INTERNAL_TAGCOLL )
  set( TAGCOLL_FOUND ON )
  set( TAGCOLL_INCLUDE_DIRS ${CMAKE_SOURCE_DIR} )
  set( TAGCOLL_LIBRARY_DIRS ${tagcoll_BINARY_DIR} )
  set( TAGCOLL_LIBRARIES "tagcoll2" )
  add_subdirectory( tagcoll )
else( INTERNAL_TAGCOLL )
  pkg_check_modules( TAGCOLL REQUIRED "libtagcoll2 >= 2.0" )
endif( INTERNAL_TAGCOLL )

add_subdirectory( ept )
add_subdirectory( tools )
add_subdirectory( doc )

=== ept/CMakeLists.txt ===
project( ept )
include( ${WIBBLE_TEST_CMAKE} )

file( GLOB src *.cpp debtags/*.cc debtags/maint/*.cc
  popcon/*.cc popcon/maint/*.cc apt/*.cc textsearch/*.cc
  textsearch/maint/*.cc )

file( GLOB h_top *.h )
file( GLOB h_apt apt/*.h )
file( GLOB h_debtags debtags/*.h debtags/*.tcc )
file( GLOB h_debtags_maint debtags/maint/*.h debtags/maint/*.tcc )
file( GLOB h_popcon popcon/*.h )
file( GLOB h_popcon_maint popcon/maint/*.h )
file( GLOB h_textsearch textsearch/*.h )
file( GLOB h_textsearch_maint textsearch/maint/*.h )

file( GLOB debtagstesth debtags/*.test.h debtags/maint/*.test.h )
file( GLOB popcontesth popcon/*.test.h )
file( GLOB apttesth apt/*.test.h )
file( GLOB textsearchtesth textsearch/*.test.h )
set( testh ${debtagstesth} ${popcontesth}
           ${apttesth} ${textsearchtesth} )

include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} 
                     ${TAGCOLL_INCLUDE_DIRS} ${WIBBLE_INCLUDE_DIRS} )
link_libraries( ${WIBBLE_LIBRARIES} ${TAGCOLL_LIBRARIES} apt-pkg xapian )
add_definitions( -fexceptions -fPIC -fvisibility=default )

add_library( ept SHARED ${src} )
add_library( ept-static STATIC ${src} )
set_target_properties( ept PROPERTIES VERSION ${EPT_VERSION} SOVERSION 0 CLEAN_DIRECT_OUTPUT 1)
set_target_properties( ept-static PROPERTIES VERSION ${EPT_VERSION} SOVERSION 0 OUTPUT_NAME "ept" CLEAN_DIRECT_OUTPUT 1)

set( TEST_ENV_DIR ${ept_BINARY_DIR}/test-env/ )

configure_file( ${ept_SOURCE_DIR}/config.h.cmake-in
  ${ept_BINARY_DIR}/config.h )

set( prefix "${CMAKE_INSTALL_PREFIX}" )
set( exec_prefix "${prefix}/bin" )
set( libdir "${prefix}/lib" )
set( includedir "${prefix}/include" )
configure_file( ${ept_SOURCE_DIR}/libept.pc.in
  ${ept_BINARY_DIR}/libept.pc @ONLY )

# regression testing
link_directories( ${CMAKE_CURRENT_BINARY_DIR}/../lib )
link_libraries( ept )
wibble_add_test( ept-test ${testh} )

set( datastamp ${CMAKE_CURRENT_BINARY_DIR}/data-stamp )
set( datadir ${CMAKE_CURRENT_SOURCE_DIR}/test-data )
set( listfile wherever_debian_._Packages )

wibble_check_target( ept-test ${datastamp} )

execute_process( COMMAND dpkg --print-architecture OUTPUT_VARIABLE ARCH )
string( REPLACE "\n" "" ARCH "${ARCH}" )

add_custom_command(
  OUTPUT ${datastamp}
  COMMAND mkdir -p test-env/etc test-env/state/lists/partial
		           test-env/cache test-env/debtags
			   test-env/cache/archives/partial test-env/desktop
  COMMAND sed -e s,i386,${ARCH}, < ${datadir}/packagelist > test-env/state/lists/${listfile}
  COMMAND cp -a ${datadir}/etc/sources.list test-env/etc/
  COMMAND sed -e s,i386,${ARCH}, < ${datadir}/dpkg-status > test-env/dpkg-status
  COMMAND cp -a ${datadir}/desktop/*.desktop test-env/desktop/
  COMMAND cp ${datadir}/debtags/package-tags test-env/debtags/test.tag
  COMMAND cp ${datadir}/debtags/vocabulary test-env/debtags/test.voc
  COMMAND mkdir -p test-env/debtags/empty
  COMMAND mkdir -p test-env/debtags/user
  COMMAND mkdir -p test-env/xapian/
  COMMAND mkdir -p test-env/popcon/
  COMMAND mkdir -p test-env/popcon/empty
  COMMAND cp -a ${datadir}/popcon/all-popcon-results.txt.gz test-env/popcon/
  COMMAND cp -a ${datadir}/popcon/popularity-contest test-env/popcon/
  COMMAND touch data-stamp )

install( TARGETS ept ept-static
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib )

install( FILES ${ept_BINARY_DIR}/libept.pc DESTINATION lib/pkgconfig )
install( FILES libept.m4 DESTINATION share/aclocal )

install( FILES ${h_top} DESTINATION include/ept )
install( FILES ${h_apt} DESTINATION include/ept/apt )
install( FILES ${h_debtags} DESTINATION include/ept/debtags )
install( FILES ${h_debtags_maint} DESTINATION include/ept/debtags/maint )
install( FILES ${h_popcon} DESTINATION include/ept/popcon )
install( FILES ${h_popcon_maint} DESTINATION include/ept/popcon/maint )
install( FILES ${h_textsearch} DESTINATION include/ept/textsearch )
install( FILES ${h_textsearch_maint} DESTINATION include/ept/textsearch/maint )

=== debian/changelog ===
libept (0.5.30) unstable; urgency=low

  * Priority: important
  * Depend on newer libwibble-dev. Closes: #560508
  * Added Vcs-* headers
  * Added more missing headers

 -- Enrico Zini <enrico@debian.org>  Tue, 15 Dec 2009 18:24:46 +0000

libept (0.5.29) unstable; urgency=low

  * Disabled graphviz-generated class diagrams in the documentation, and
    removed build-dependency on graphviz. Closes: #524604
  * Added missing const. Closes: #547421
    Thanks Stefan Potyra.
  * Removed workaround for #487406 on arm. Closes: #533793
  * Removed workaround for #459207 on cmake 2.4, and depend on cmake 2.6.
    Closes: #493200
  * Fixed cron job. Closes: #502608
    Thanks Frans Pop.

 -- Enrico Zini <enrico@debian.org>  Tue, 29 Sep 2009 15:29:32 +0100

libept (0.5.28) unstable; urgency=low

  * Removed adept-specific code. Closes: #540209.

 -- Enrico Zini <enrico@debian.org>  Sun, 23 Aug 2009 12:00:02 +0100

libept (0.5.27) unstable; urgency=low

  * Applied patch by Julian Andres Klode:
     + Fix test suite on apt 0.7.22, which supports Enhances (Closes: #539331)

 -- Enrico Zini <enrico@debian.org>  Mon, 03 Aug 2009 15:49:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: libept
 Section: libdevel
-Priority: optional
-XSBC-Original-Maintainer: Enrico Zini <enrico@debian.org>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Uploaders: Petr Rockai <mornfall@debian.org>, Arnaud Fontaine <arnaud@andesi.org>
-Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, graphviz, libapt-pkg-dev (>= 0.7.23), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake, g++-4.2 [arm]
-Standards-Version: 3.8.0
-Vcs-Darcs: http://darcs.debian.org/darcs/collab-maint/libept
-Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=collab-maint/libept;a=summary
+Priority: important
+Maintainer: Enrico Zini <enrico@debian.org>
+Uploaders: Petr Rockai <mornfall@debian.org>
+Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.23), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake (>= 2.6)
+Standards-Version: 3.8.3.0
+Vcs-Git: git://git.debian.org/git/debtags/libept.git
+Vcs-Browser: http://git.debian.org/?p=debtags/libept.git
 
 Package: libept-dev
 Section: libdevel
 Architecture: any
 Recommends: pkg-config
-Depends: libept0 (= ${binary:Version}), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5)
+Depends: libept0 (= ${binary:Version}), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5), ${misc:Depends}
 Conflicts: debtags (<< 0.7)
 Description: High-level library for managing Debian package information
  The library defines a very minimal framework in which many sources of data
@@ -31,7 +30,7 @@
 Package: libept0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: High-level library for managing Debian package information
  The library defines a very minimal framework in which many sources of data
  about Debian packages can be implemented and queried together.

## libept 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 add_custom_target( unit )
 
-set( EPT_VERSION "0.5.30" )
+set( EPT_VERSION "1.0.3" )
 set( APT_INCLUDES "/usr/include/" CACHE STRING "apt include path" )
 set( APT_LINKDIRS "/usr/lib/" CACHE STRING "apt library path" )
 set( OPT_FLAGS "-O0 -g" CACHE STRING "optimization level" )

=== debian/changelog ===
libept (1.0.3) unstable; urgency=low

  * Removed debugging output and upload to unstable.

 -- Enrico Zini <enrico@debian.org>  Thu, 15 Jul 2010 13:14:06 +0100

libept (1.0.2+test4) experimental; urgency=low

  * Override sourcelist config option so we don't look for the custom name
    used in the buildds

 -- Enrico Zini <enrico@debian.org>  Thu, 15 Jul 2010 12:09:54 +0100

libept (1.0.2+test3) experimental; urgency=low

  * More debug info

 -- Enrico Zini <enrico@debian.org>  Thu, 15 Jul 2010 11:57:35 +0100

libept (1.0.2+test2) experimental; urgency=low

  * More debugging prints, and removed a useless constructor

 -- Enrico Zini <enrico@debian.org>  Thu, 15 Jul 2010 09:39:01 +0100

libept (1.0.2+test1) experimental; urgency=low

  * Improved one assertion, added more prints, try a workaround

 -- Enrico Zini <enrico@debian.org>  Wed, 14 Jul 2010 23:39:10 +0100

libept (1.0.2+test0) experimental; urgency=low

  * Added debugging prints to help debug #587764

 -- Enrico Zini <enrico@debian.org>  Wed, 14 Jul 2010 23:08:30 +0100

libept (1.0.2) unstable; urgency=low

  * Fixed a potential read-past-end-of-buffer error.
  * Removed weekly cron job. Closes: #588408
  * Updated standards-version, no changes required.
  * Switch to dpkg-source 3.0 (native) format

 -- Enrico Zini <enrico@debian.org>  Wed, 14 Jul 2010 21:14:36 +0100

libept (1.0.1) unstable; urgency=low

  * Upload to unstable

 -- Enrico Zini <enrico@debian.org>  Mon, 21 Jun 2010 22:03:50 +0100

libept (1.0) experimental; urgency=low

  * Big debtags code simplification
     - no more indices to maintain, just read the text files
     - no more int IDs and conversions to/from strings
  * Breaks API and ABI: bump major version
  * Replaced textindex with axi, which contains just a handful of helper
    functions to handle apt-xapian-index
  * ept-cache superseded by axi-cache

 -- Enrico Zini <enrico@debian.org>  Sun, 16 May 2010 10:22:00 +0100

## libept 1.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 add_custom_target( unit )
 
-set( EPT_VERSION "1.0.3" )
+set( EPT_VERSION "1.0.4" )
 set( APT_INCLUDES "/usr/include/" CACHE STRING "apt include path" )
 set( APT_LINKDIRS "/usr/lib/" CACHE STRING "apt library path" )
 set( OPT_FLAGS "-O0 -g" CACHE STRING "optimization level" )

=== doc/CMakeLists.txt ===
set( stamp "${CMAKE_CURRENT_BINARY_DIR}/doc-stamp" )

add_custom_command(
  DEPENDS ept ${CMAKE_CURRENT_BINARY_DIR}/libept.dox
  OUTPUT ${stamp}
  COMMAND ${DOXYGEN} libept.dox && touch ${stamp} )

add_custom_target( doc DEPENDS ${stamp} )

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/libept.dox.in
  ${CMAKE_CURRENT_BINARY_DIR}/libept.dox @ONLY IMMEDIATE )

=== ept/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,7 @@
 include( ${WIBBLE_TEST_CMAKE} )
 
 file( GLOB src *.cpp debtags/*.cc debtags/maint/*.cc
-  popcon/*.cc popcon/maint/*.cc apt/*.cc textsearch/*.cc
-  textsearch/maint/*.cc )
+  popcon/*.cc popcon/maint/*.cc apt/*.cc axi/*.cc )
 
 file( GLOB h_top *.h )
 file( GLOB h_apt apt/*.h )
@@ -11,15 +10,14 @@
 file( GLOB h_debtags_maint debtags/maint/*.h debtags/maint/*.tcc )
 file( GLOB h_popcon popcon/*.h )
 file( GLOB h_popcon_maint popcon/maint/*.h )
-file( GLOB h_textsearch textsearch/*.h )
-file( GLOB h_textsearch_maint textsearch/maint/*.h )
+file( GLOB h_axi axi/*.h )
 
 file( GLOB debtagstesth debtags/*.test.h debtags/maint/*.test.h )
 file( GLOB popcontesth popcon/*.test.h )
 file( GLOB apttesth apt/*.test.h )
-file( GLOB textsearchtesth textsearch/*.test.h )
+file( GLOB axitesth axi/*.test.h )
 set( testh ${debtagstesth} ${popcontesth}
-           ${apttesth} ${textsearchtesth} )
+           ${apttesth} ${axitesth} )
 
 include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} 
                      ${TAGCOLL_INCLUDE_DIRS} ${WIBBLE_INCLUDE_DIRS} )
@@ -28,8 +26,8 @@
 
 add_library( ept SHARED ${src} )
 add_library( ept-static STATIC ${src} )
-set_target_properties( ept PROPERTIES VERSION ${EPT_VERSION} SOVERSION 0 CLEAN_DIRECT_OUTPUT 1)
-set_target_properties( ept-static PROPERTIES VERSION ${EPT_VERSION} SOVERSION 0 OUTPUT_NAME "ept" CLEAN_DIRECT_OUTPUT 1)
+set_target_properties( ept PROPERTIES VERSION ${EPT_VERSION} SOVERSION 1 CLEAN_DIRECT_OUTPUT 1)
+set_target_properties( ept-static PROPERTIES VERSION ${EPT_VERSION} SOVERSION 1 OUTPUT_NAME "ept" CLEAN_DIRECT_OUTPUT 1)
 
 set( TEST_ENV_DIR ${ept_BINARY_DIR}/test-env/ )
 
@@ -90,5 +88,4 @@
 install( FILES ${h_debtags_maint} DESTINATION include/ept/debtags/maint )
 install( FILES ${h_popcon} DESTINATION include/ept/popcon )
 install( FILES ${h_popcon_maint} DESTINATION include/ept/popcon/maint )
-install( FILES ${h_textsearch} DESTINATION include/ept/textsearch )
-install( FILES ${h_textsearch_maint} DESTINATION include/ept/textsearch/maint )
+install( FILES ${h_axi} DESTINATION include/ept/axi )

=== debian/changelog ===
libept (1.0.4) unstable; urgency=low

  * Fix broken tag names in /var/lib/debtags/vocabulary. Closes: #601417.

 -- Enrico Zini <enrico@debian.org>  Mon, 25 Oct 2010 23:33:04 +0200

=== debian/control ===
Source: libept
Section: libdevel
Priority: important
Maintainer: Enrico Zini <enrico@debian.org>
Uploaders: Petr Rockai <mornfall@debian.org>
Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.23), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake (>= 2.6)
Standards-Version: 3.9.0.0
Vcs-Git: git://git.debian.org/git/debtags/libept.git
Vcs-Browser: http://git.debian.org/?p=debtags/libept.git

Package: libept-dev
Section: libdevel
Architecture: any
Recommends: pkg-config
Depends: libept1 (= ${binary:Version}), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5), ${misc:Depends}
Conflicts: debtags (<< 0.7)
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * The Xapian index built by apt-xapian-index
 .
 This is the development library.

Package: libept1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * The Xapian index built by apt-xapian-index
 .
 This is the shared library.

Package: ept-cache
Architecture: all
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}, apt-xapian-index (>= 0.30)
Recommends: debtags
Description: Obsolete commandline tool to search the package archive
 ept-cache has been superseded by axi-cache, provided by apt-xapian-index.
 .
 This package provides a dummy ept-cache script that just call axi-cache.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

#DEB_CMAKE_EXTRA_FLAGS += -DOPT_FLAGS="" 


DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

DEB_MAKE_CHECK_TARGET := unit

DEB_DH_MAKESHLIBS_ARGS_libept0 = -V

# comment out CONFIGURE and uncomment CMAKE flags to use cmake
#DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared --with-pic
#DEB_CMAKE_EXTRA_FLAGS += -DBUILD_TESTING=ON

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo

build/libept-dev::
	make -C ${DEB_BUILDDIR} doc

install/libept-dev::
	mkdir -p debian/tmp/usr/share/doc/libept-dev/
	cp -r ${DEB_BUILDDIR}/doc/html debian/tmp/usr/share/doc/libept-dev/
	cp ${DEB_BUILDDIR}/doc/libept.doxytags debian/tmp/usr/share/doc/libept-dev/
	gzip -9 debian/tmp/usr/share/doc/libept-dev/libept.doxytags

debsrc:
	debian/check_versions
	git-buildpackage --git-pristine-tar -S -us -uc

## libept 1.0.5

=== debian/changelog ===
libept (1.0.5) unstable; urgency=low

  * Do not ship .m4 file anymore, as it's just a trivial invocation of
    pkg-config
  * Test for dpkg-maintscript-helper existance before invoking it.
    Closes: #590220

 -- Enrico Zini <enrico@debian.org>  Sun, 20 Mar 2011 19:18:34 +0000

## libept 1.0.5build1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 add_custom_target( unit )
 
-set( EPT_VERSION "1.0.4" )
+set( EPT_VERSION "1.0.5" )
 set( APT_INCLUDES "/usr/include/" CACHE STRING "apt include path" )
 set( APT_LINKDIRS "/usr/lib/" CACHE STRING "apt library path" )
 set( OPT_FLAGS "-O0 -g" CACHE STRING "optimization level" )

=== ept/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} 
                      ${TAGCOLL_INCLUDE_DIRS} ${WIBBLE_INCLUDE_DIRS} )
-link_libraries( ${WIBBLE_LIBRARIES} ${TAGCOLL_LIBRARIES} apt-pkg xapian )
+link_libraries( ${WIBBLE_LIBRARIES} ${TAGCOLL_LIBRARIES} apt-pkg xapian -lpthread )
 add_definitions( -fexceptions -fPIC -fvisibility=default )
 
 add_library( ept SHARED ${src} )
@@ -80,8 +80,6 @@
   ARCHIVE DESTINATION lib )
 
 install( FILES ${ept_BINARY_DIR}/libept.pc DESTINATION lib/pkgconfig )
-install( FILES libept.m4 DESTINATION share/aclocal )
-
 install( FILES ${h_top} DESTINATION include/ept )
 install( FILES ${h_apt} DESTINATION include/ept/apt )
 install( FILES ${h_debtags} DESTINATION include/ept/debtags )

=== debian/changelog ===
libept (1.0.5build1) oneiric; urgency=low

  * rebuild against the latest apt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Aug 2011 14:26:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Enrico Zini <enrico@debian.org>
 Uploaders: Petr Rockai <mornfall@debian.org>
-Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.23), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake (>= 2.6)
+Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, libapt-pkg-dev (>= 0.8.16~exp5), libwibble-dev (>= 0.1.23), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake (>= 2.6)
 Standards-Version: 3.9.0.0
 Vcs-Git: git://git.debian.org/git/debtags/libept.git
 Vcs-Browser: http://git.debian.org/?p=debtags/libept.git

## libept 1.0.6~exp1

=== debian/changelog ===
libept (1.0.6~exp1) experimental; urgency=low

  * build against libapt in experimental
  * debian/control:
    - encode apt ABI version in libept1 package name
  * ept/CMakeLists.txt:
    - do not set "SOVERSION 1" anymore, use full VERSION instead

 -- Michael Vogt <mvo@debian.org>  Tue, 24 Jan 2012 14:05:56 +0100

## libept 1.0.6~exp1ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,8 @@
 
 add_custom_target( unit )
 
-set( EPT_VERSION "1.0.5" )
+set( LIBAPT_ABI_VERSION "4.12" )
+set( EPT_VERSION "1.0.5.${LIBAPT_ABI_VERSION}" )
 set( APT_INCLUDES "/usr/include/" CACHE STRING "apt include path" )
 set( APT_LINKDIRS "/usr/lib/" CACHE STRING "apt library path" )
 set( OPT_FLAGS "-O0 -g" CACHE STRING "optimization level" )

=== ept/CMakeLists.txt ===
--- 
+++ 
@@ -26,8 +26,8 @@
 
 add_library( ept SHARED ${src} )
 add_library( ept-static STATIC ${src} )
-set_target_properties( ept PROPERTIES VERSION ${EPT_VERSION} SOVERSION 1 CLEAN_DIRECT_OUTPUT 1)
-set_target_properties( ept-static PROPERTIES VERSION ${EPT_VERSION} SOVERSION 1 OUTPUT_NAME "ept" CLEAN_DIRECT_OUTPUT 1)
+set_target_properties( ept PROPERTIES VERSION ${EPT_VERSION} CLEAN_DIRECT_OUTPUT 1)
+set_target_properties( ept-static PROPERTIES VERSION ${EPT_VERSION} OUTPUT_NAME "ept" CLEAN_DIRECT_OUTPUT 1)
 
 set( TEST_ENV_DIR ${ept_BINARY_DIR}/test-env/ )

=== debian/changelog ===
libept (1.0.6~exp1ubuntu1) precise; urgency=low

  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on a
    new enough version of dpkg rather than using 'dpkg-maintscript-helper
    supports' guards, leading to more predictable behaviour on upgrades.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Feb 2012 15:00:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libept
 Section: libdevel
 Priority: important
-Maintainer: Enrico Zini <enrico@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Enrico Zini <enrico@debian.org>
 Uploaders: Petr Rockai <mornfall@debian.org>
-Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, libapt-pkg-dev (>= 0.8.16~exp5), libwibble-dev (>= 0.1.23), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake (>= 2.6)
+Build-Depends: cdbs, debhelper (>= 8.1.0~), dh-buildinfo, doxygen, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.23), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake (>= 2.6)
 Standards-Version: 3.9.0.0
 Vcs-Git: git://git.debian.org/git/debtags/libept.git
 Vcs-Browser: http://git.debian.org/?p=debtags/libept.git
@@ -12,7 +13,7 @@
 Section: libdevel
 Architecture: any
 Recommends: pkg-config
-Depends: libept1 (= ${binary:Version}), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5), ${misc:Depends}
+Depends: libept1.4.12 (= ${binary:Version}), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5), ${misc:Depends}
 Conflicts: debtags (<< 0.7)
 Description: High-level library for managing Debian package information
  The library defines a very minimal framework in which many sources of data
@@ -27,7 +28,7 @@
  .
  This is the development library.
 
-Package: libept1
+Package: libept1.4.12
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -47,6 +48,7 @@
 Package: ept-cache
 Architecture: all
 Section: misc
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, apt-xapian-index (>= 0.30)
 Recommends: debtags
 Description: Obsolete commandline tool to search the package archive

## libept 1.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,19 @@
 
 add_custom_target( unit )
 
-set( LIBAPT_ABI_VERSION "4.12" )
-set( EPT_VERSION "1.0.5.${LIBAPT_ABI_VERSION}" )
+set( EPT_VERSION "1.0.9" )
+
+# Get the soversion from libapt-pkg to include in our own
+execute_process(
+	COMMAND "cc" "-xc" "-shared" "-Wl,--no-as-needed" "/dev/null" "-lapt-pkg"
+	)
+execute_process(
+	COMMAND "objdump" "-p" "a.out"
+	COMMAND "awk" "/NEEDED.*libapt-pkg/ { sub(\".*\\\\.so\\\\.\", \"\"); print }"
+	OUTPUT_VARIABLE LIBAPT_ABI_VERSION
+	OUTPUT_STRIP_TRAILING_WHITESPACE
+	)
+set( LIBEPT_SOVERSION "1.aptpkg${LIBAPT_ABI_VERSION}" )
 set( APT_INCLUDES "/usr/include/" CACHE STRING "apt include path" )
 set( APT_LINKDIRS "/usr/lib/" CACHE STRING "apt library path" )
 set( OPT_FLAGS "-O0 -g" CACHE STRING "optimization level" )

=== ept/CMakeLists.txt ===
--- 
+++ 
@@ -26,8 +26,8 @@
 
 add_library( ept SHARED ${src} )
 add_library( ept-static STATIC ${src} )
-set_target_properties( ept PROPERTIES VERSION ${EPT_VERSION} CLEAN_DIRECT_OUTPUT 1)
-set_target_properties( ept-static PROPERTIES VERSION ${EPT_VERSION} OUTPUT_NAME "ept" CLEAN_DIRECT_OUTPUT 1)
+set_target_properties( ept PROPERTIES SOVERSION ${LIBEPT_SOVERSION} CLEAN_DIRECT_OUTPUT 1)
+set_target_properties( ept-static PROPERTIES SOVERSION ${LIBEPT_SOVERSION} OUTPUT_NAME "ept" CLEAN_DIRECT_OUTPUT 1)
 
 set( TEST_ENV_DIR ${ept_BINARY_DIR}/test-env/ )

=== tools/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} 
                     ${TAGCOLL_INCLUDE_DIRS} ${WIBBLE_INCLUDE_DIRS} )
link_libraries( ept )

add_executable( ept-cat ept-cat.cpp )
add_executable( pkglist pkglist.cpp )

set( bindir ${CMAKE_CURRENT_BINARY_DIR} )
set( srcdir ${CMAKE_CURRENT_SOURCE_DIR} )

install( PROGRAMS ept-cache DESTINATION bin )

=== debian/changelog ===
libept (1.0.9) unstable; urgency=low

  [ Adam Conrad ]
  * Add -Wl,--no-as-needed to the -lapt-pkg linking trick, as it
    fails to link anything if the toolchain defaults to as-neeed.

 -- Enrico Zini <enrico@debian.org>  Thu, 21 Jun 2012 10:11:57 +0200

libept (1.0.8) unstable; urgency=low

  * Applied Julien Cristau's patch to avoid unnecessary soname bumps.
    Closes: #677532, #677535, #677536

 -- Enrico Zini <enrico@debian.org>  Thu, 14 Jun 2012 20:32:47 +0200

libept (1.0.7) unstable; urgency=low

  * Expose the underlying libapt-pkg

 -- Enrico Zini <enrico@debian.org>  Thu, 14 Jun 2012 13:58:48 +0200

libept (1.0.6.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667243.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Apr 2012 12:43:33 +0200

libept (1.0.6) unstable; urgency=low

  * upload to unstable

 -- Michael Vogt <mvo@debian.org>  Mon, 16 Apr 2012 19:25:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: libept
 Section: libdevel
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Enrico Zini <enrico@debian.org>
+Maintainer: Enrico Zini <enrico@debian.org>
 Uploaders: Petr Rockai <mornfall@debian.org>
-Build-Depends: cdbs, debhelper (>= 8.1.0~), dh-buildinfo, doxygen, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.23), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake (>= 2.6)
+Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.23), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake (>= 2.6)
 Standards-Version: 3.9.0.0
 Vcs-Git: git://git.debian.org/git/debtags/libept.git
 Vcs-Browser: http://git.debian.org/?p=debtags/libept.git
@@ -48,7 +47,6 @@
 Package: ept-cache
 Architecture: all
 Section: misc
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, apt-xapian-index (>= 0.30)
 Recommends: debtags
 Description: Obsolete commandline tool to search the package archive

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 DEB_MAKE_CHECK_TARGET := unit
 
-DEB_DH_MAKESHLIBS_ARGS_libept0 = -V
+DEB_DH_MAKESHLIBS_ARGS_libept1.4.12 = -V
 
 # comment out CONFIGURE and uncomment CMAKE flags to use cmake
 #DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared --with-pic

## libept 1.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 add_custom_target( unit )
 
-set( EPT_VERSION "1.0.9" )
+set( EPT_VERSION "1.0.12" )
 
 # Get the soversion from libapt-pkg to include in our own
 execute_process(
@@ -31,7 +31,7 @@
   set( WIBBLE_LIBRARIES "wibble" )
   set( WIBBLE_TEST_CMAKE "${wibble_SOURCE_DIR}/test.cmake" )
 else( INTERNAL_WIBBLE )
-  pkg_check_modules( WIBBLE REQUIRED "libwibble >= 0.1.22" )
+  pkg_check_modules( WIBBLE REQUIRED "libwibble >= 1.0" )
   find_program( WIBBLE_TEST_GENRUNNER wibble-test-genrunner )
   set( WIBBLE_TEST_CMAKE "${WIBBLE_PREFIX}/share/wibble/test.cmake" )
 endif( INTERNAL_WIBBLE )

=== ept/CMakeLists.txt ===
--- 
+++ 
@@ -76,10 +76,10 @@
   COMMAND touch data-stamp )
 
 install( TARGETS ept ept-static
-  LIBRARY DESTINATION lib
-  ARCHIVE DESTINATION lib )
+    LIBRARY DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE}
+    ARCHIVE DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE} )
 
-install( FILES ${ept_BINARY_DIR}/libept.pc DESTINATION lib/pkgconfig )
+install( FILES ${ept_BINARY_DIR}/libept.pc DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE}/pkgconfig )
 install( FILES ${h_top} DESTINATION include/ept )
 install( FILES ${h_apt} DESTINATION include/ept/apt )
 install( FILES ${h_debtags} DESTINATION include/ept/debtags )

=== debian/changelog ===
libept (1.0.12) unstable; urgency=low

  * Fixes a case of sizeof(struct stat) disagreeing between libwibble and
    libept on some architectures.

 -- Enrico Zini <enrico@debian.org>  Thu, 24 Oct 2013 20:55:21 +0200

libept (1.0.11) unstable; urgency=low

  * Added explicit template instantiation with the symbols aptitude needs.
    Closes: #727540

 -- Enrico Zini <enrico@debian.org>  Thu, 24 Oct 2013 19:02:55 +0200

libept (1.0.10) unstable; urgency=low

  * Dropped Conflict on long-disappeared version of debtags
  * Ported to debhelper
  * Ported to libwibble 1.1
  * Removed obsolete debian/README

 -- Enrico Zini <enrico@debian.org>  Thu, 24 Oct 2013 01:36:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,14 @@
 Priority: important
 Maintainer: Enrico Zini <enrico@debian.org>
 Uploaders: Petr Rockai <mornfall@debian.org>
-Build-Depends: cdbs, debhelper (>> 5), dh-buildinfo, doxygen, libapt-pkg-dev (>= 0.6.46.1), libwibble-dev (>= 0.1.23), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake (>= 2.6)
-Standards-Version: 3.9.0.0
+Build-Depends:
+  debhelper (>= 9), dh-buildinfo,
+  cmake (>= 2.6), pkg-config, doxygen,
+  libapt-pkg-dev (>= 0.6.46.1),
+  libwibble-dev (>= 1.1), libwibble-dev (<< 2.0),
+  libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1),
+  libxapian-dev (>= 1.0.5)
+Standards-Version: 3.9.4.0
 Vcs-Git: git://git.debian.org/git/debtags/libept.git
 Vcs-Browser: http://git.debian.org/?p=debtags/libept.git
 
@@ -12,8 +18,11 @@
 Section: libdevel
 Architecture: any
 Recommends: pkg-config
-Depends: libept1.4.12 (= ${binary:Version}), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5), ${misc:Depends}
-Conflicts: debtags (<< 0.7)
+Depends:
+  libept1.4.12 (= ${binary:Version}),
+  libwibble-dev (>= 1.1), libwibble-dev (<< 2.0),
+  libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1),
+  libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5), ${misc:Depends}
 Description: High-level library for managing Debian package information
  The library defines a very minimal framework in which many sources of data
  about Debian packages can be implemented and queried together.
@@ -30,6 +39,8 @@
 Package: libept1.4.12
 Section: libs
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: High-level library for managing Debian package information
  The library defines a very minimal framework in which many sources of data

=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)

override_dh_fixperms:
	dh_fixperms
	test -e /usr/bin/dh_buildinfo && dh_buildinfo

override_dh_auto_build:
	dh_auto_build
	make -C $(BUILDDIR) unit
	make -C $(BUILDDIR) doc

override_dh_auto_install:
	dh_auto_install
	dh_installdocs -plibept-dev -n $(BUILDDIR)/doc/html
	dh_installdocs -plibept-dev -n $(BUILDDIR)/doc/libept.doxytags

debsrc:
	debian/check_versions
	git-buildpackage --git-pristine-tar -S -us -uc

## libept 1.0.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 add_custom_target( unit )
 
-set( EPT_VERSION "1.0.12" )
+set( EPT_VERSION "1.0.12.1" )
 
 # Get the soversion from libapt-pkg to include in our own
 execute_process(

=== debian/changelog ===
libept (1.0.12.1) unstable; urgency=medium

  * Redone parsing of Tag fields, to cope with multiline fields
  * Get tag data from /var/lib/debtags/package-tags and
    /var/lib/debtags/vocabulary if they are available. Closes: #762347
  * Updated standards-version, no changes required.
  * Set priority to optional. Closes: #741632
  * Migrated to dh_installdeb maintscript support. Closes: #659749

 -- Enrico Zini <enrico@debian.org>  Mon, 06 Oct 2014 14:36:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libept
 Section: libdevel
-Priority: important
+Priority: optional
 Maintainer: Enrico Zini <enrico@debian.org>
 Uploaders: Petr Rockai <mornfall@debian.org>
 Build-Depends:
@@ -10,7 +10,7 @@
   libwibble-dev (>= 1.1), libwibble-dev (<< 2.0),
   libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1),
   libxapian-dev (>= 1.0.5)
-Standards-Version: 3.9.4.0
+Standards-Version: 3.9.6.0
 Vcs-Git: git://git.debian.org/git/debtags/libept.git
 Vcs-Browser: http://git.debian.org/?p=debtags/libept.git
 
@@ -39,7 +39,6 @@
 Package: libept1.4.12
 Section: libs
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: High-level library for managing Debian package information
@@ -58,6 +57,7 @@
 Package: ept-cache
 Architecture: all
 Section: misc
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, apt-xapian-index (>= 0.30)
 Recommends: debtags
 Description: Obsolete commandline tool to search the package archive

## libept 1.0.14tanglu4

=== debian/changelog ===
libept (1.0.14tanglu4) staging; urgency=medium

  * No-change rebuild against libapt-pkg5.0

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Mon, 21 Dec 2015 00:34:26 +0100

libept (1.0.14tanglu3) staging; urgency=high

  * No-change rebuild against libxapian22v5

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 15 Sep 2015 13:03:29 +0000

libept (1.0.14tanglu2) staging; urgency=high

  * No-change rebuild against libapt-pkg4.16

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 09 Sep 2015 08:07:25 +0000

libept (1.0.14tanglu1) staging; urgency=medium

  * Fix build-dependency on libwibble-dev for Tanglu
    - 1.1-1+b1 => 1.1-1b1

 -- Matthias Klumpp <mak@debian.org>  Sun, 06 Sep 2015 17:14:28 +0200

libept (1.0.14) unstable; urgency=medium

  * New version that includes Matthias' changes
  * Removed compatibility symlink, not needed anymore

 -- Enrico Zini <enrico@debian.org>  Tue, 11 Aug 2015 19:50:06 +0200

libept (1.0.13.1) experimental; urgency=medium

  * Non maintainer upload.
  * Rebuild using GCC 5. Addresses: #777944.
  * Tighten dependencies on -dev packages.
  * Rename libept1.4.12 to libept1.4.16 for the apt transition.
  * Update links and install files.

 -- Matthias Klose <doko@debian.org>  Sun, 09 Aug 2015 23:59:39 +0200

libept (1.0.13) experimental; urgency=medium

  [Raúl Sánchez Siles]
   * Fix "missing link /usr/lib/libept.so.1.0.5.4.12" Link now depends on
     architecture using dh-exec (Closes: #727694)

  [Enrico Zini]
  * Added cmake_minimum_required. Closes: #788770
  * Simplified debtags code
     - tag and vocabulary data are loaded only from /var/lib/debtags/
     - local patches are not supported anymore
     - tag and vocabulary merging are not supported anymore
     - removed support for patched collections
  * Removed obsolete package ept-cache. Closes: #436748

 -- Enrico Zini <enrico@debian.org>  Thu, 18 Jun 2015 10:32:52 +0200

=== debian/control ===
Source: libept
Section: libdevel
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Uploaders: Petr Rockai <mornfall@debian.org>
Build-Depends:
  debhelper (>= 9), dh-exec, dh-buildinfo,
  cmake (>= 2.6), pkg-config, doxygen,
  libapt-pkg-dev (>= 1.0.10),
  libwibble-dev (>= 1.1-1b1), libwibble-dev (<< 2.0),
  libtagcoll2-dev (>= 2.0.14-1b1), libtagcoll2-dev (<< 2.1),
  libxapian-dev (>= 1.2.21-1.2)
Standards-Version: 3.9.6.0
Vcs-Git: git://git.debian.org/git/debtags/libept.git
Vcs-Browser: http://git.debian.org/?p=debtags/libept.git

Package: libept-dev
Section: libdevel
Architecture: any
Recommends: pkg-config
Depends:
  libept1.4.16 (= ${binary:Version}),
  libwibble-dev (>= 1.1-1b1), libwibble-dev (<< 2.0),
  libtagcoll2-dev (>= 2.0.14-1b1), libtagcoll2-dev (<< 2.1),
  libapt-pkg-dev (>= 1.0.10), libxapian-dev (>= 1.2.21-1.2), ${misc:Depends}
Built-Using: ${libwibble:Source}, ${tagcoll2:Source}
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * The Xapian index built by apt-xapian-index
 .
 This is the development library.

Package: libept1.4.16
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${libwibble:Source}, ${tagcoll2:Source}
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * The Xapian index built by apt-xapian-index
 .
 This is the shared library.

## libept 1.0.14ubuntu1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,11 @@
+cmake_minimum_required(VERSION 3.2)
+
 include( FindPkgConfig )
 include( FindDoxygen )
 
 add_custom_target( unit )
 
-set( EPT_VERSION "1.0.12.1" )
+set( EPT_VERSION "1.0.14" )
 
 # Get the soversion from libapt-pkg to include in our own
 execute_process(

=== ept/CMakeLists.txt ===
--- 
+++ 
@@ -64,8 +64,8 @@
   COMMAND cp -a ${datadir}/etc/sources.list test-env/etc/
   COMMAND sed -e s,i386,${ARCH}, < ${datadir}/dpkg-status > test-env/dpkg-status
   COMMAND cp -a ${datadir}/desktop/*.desktop test-env/desktop/
-  COMMAND cp ${datadir}/debtags/package-tags test-env/debtags/test.tag
-  COMMAND cp ${datadir}/debtags/vocabulary test-env/debtags/test.voc
+  COMMAND cp ${datadir}/debtags/package-tags test-env/debtags/package-tags
+  COMMAND cp ${datadir}/debtags/vocabulary test-env/debtags/vocabulary
   COMMAND mkdir -p test-env/debtags/empty
   COMMAND mkdir -p test-env/debtags/user
   COMMAND mkdir -p test-env/xapian/

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -7,5 +7,3 @@
 
 set( bindir ${CMAKE_CURRENT_BINARY_DIR} )
 set( srcdir ${CMAKE_CURRENT_SOURCE_DIR} )
-
-install( PROGRAMS ept-cache DESTINATION bin )

=== debian/changelog ===
libept (1.0.14ubuntu1.1) wily; urgency=medium

  * No-change rebuild against libapt-pkg4.16
  * Relax depends on "libwibble-dev" and "libtagcoll2-dev"
    (can be dropped later)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Oct 2015 19:44:51 +0200

libept (1.0.14ubuntu1) wily; urgency=medium

  * Relax the build dependency versions for wily (can be dropped later).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Oct 2015 10:51:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
   debhelper (>= 9), dh-exec, dh-buildinfo,
   cmake (>= 2.6), pkg-config, doxygen,
   libapt-pkg-dev (>= 1.0.10),
-  libwibble-dev (>= 1.1-1b1), libwibble-dev (<< 2.0),
-  libtagcoll2-dev (>= 2.0.14-1b1), libtagcoll2-dev (<< 2.1),
+  libwibble-dev (>= 1.1-1), libwibble-dev (<< 2.0),
+  libtagcoll2-dev (>= 2.0.14-1), libtagcoll2-dev (<< 2.1),
   libxapian-dev (>= 1.2.21-1.2)
 Standards-Version: 3.9.6.0
 Vcs-Git: git://git.debian.org/git/debtags/libept.git
@@ -20,8 +20,8 @@
 Recommends: pkg-config
 Depends:
   libept1.4.16 (= ${binary:Version}),
-  libwibble-dev (>= 1.1-1b1), libwibble-dev (<< 2.0),
-  libtagcoll2-dev (>= 2.0.14-1b1), libtagcoll2-dev (<< 2.1),
+  libwibble-dev (>= 1.1-1build1), libwibble-dev (<< 2.0),
+  libtagcoll2-dev (>= 2.0.14-1build1), libtagcoll2-dev (<< 2.1),
   libapt-pkg-dev (>= 1.0.10), libxapian-dev (>= 1.2.21-1.2), ${misc:Depends}
 Built-Using: ${libwibble:Source}, ${tagcoll2:Source}
 Description: High-level library for managing Debian package information

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 BUILDDIR = $(CURDIR)/debian/build
+
+libwibble_source = $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libwibble-dev)
+tagcoll2_source = $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libtagcoll2-dev)
 
 %:
 	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)
@@ -19,7 +22,12 @@
 	dh_installdocs -plibept-dev -n $(BUILDDIR)/doc/html
 	dh_installdocs -plibept-dev -n $(BUILDDIR)/doc/libept.doxytags
 
+override_dh_gencontrol:
+	dh_gencontrol -- \
+	  -Vlibwibble:Source="$(libwibble_source)" \
+	  -Vtagcoll2:Source="$(tagcoll2_source)"
+
 debsrc:
 	debian/check_versions
-	git-buildpackage --git-pristine-tar -S -us -uc
+	gbp buildpackage --git-pristine-tar -S -us -uc

## libept 1.1%2Bnmu3build1

=== debian/changelog ===
libept (1.1+nmu3build1) zesty; urgency=medium

  * Rebuild against new libxapian30.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Nov 2016 21:41:08 +0100

libept (1.1+nmu3) unstable; urgency=medium

  * Non-maintainer upload
  * Break and replace libept1.4.16 (= 1.0.14+b2) from broken binNMU
    (Closes: #806509)
  * Include apt-pkg library version in install file for next APT ABI
    break
  * apt/utils/sys.cc: Define O_PATH as 0 if undefined (for !linux)

 -- Julian Andres Klode <jak@debian.org>  Sat, 28 Nov 2015 20:59:47 +0100

libept (1.1+nmu2) unstable; urgency=medium

  * Non-maintainer upload
  * Upload to unstable for APT 1.1 transition.

 -- Julian Andres Klode <jak@debian.org>  Fri, 27 Nov 2015 14:35:59 +0100

libept (1.1+nmu1) experimental; urgency=medium

  * Non-maintainer upload with permission from the maintainer.
  * Build against APT 1.1

 -- Julian Andres Klode <jak@debian.org>  Fri, 11 Sep 2015 23:31:36 +0200

libept (1.1) experimental; urgency=medium

  * Removed need of tagcoll and wibble
  * Removed popcon/ support

 -- Enrico Zini <enrico@debian.org>  Thu, 10 Sep 2015 19:50:32 +0200
